hpp-corbaserver: ConstraintSet_Helper Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
ConstraintSet_Helper Class Reference

`#include <hpp/core_idl/_constraints-idl.hh>`

## Public Types
typedef ConstraintSet_ptr | _ptr_type
typedef ConstraintSet_ptr | _ptr_type
typedef ConstraintSet_ptr | _ptr_type

## Static Public Member Functions
static _ptr_type | _nil ()
static _CORBA_Boolean | is_nil (_ptr_type)
static void | release (_ptr_type)
static void | duplicate (_ptr_type)
static void | marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | unmarshalObjRef (cdrStream &)
static _ptr_type | _nil ()
static _CORBA_Boolean | is_nil (_ptr_type)
static void | release (_ptr_type)
static void | duplicate (_ptr_type)
static void | marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | unmarshalObjRef (cdrStream &)
static _ptr_type | _nil ()
static _CORBA_Boolean | is_nil (_ptr_type)
static void | release (_ptr_type)
static void | duplicate (_ptr_type)
static void | marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | unmarshalObjRef (cdrStream &)

## Member Typedef Documentation

## ◆ _ptr_type [1/3]

typedef ConstraintSet_ptr ConstraintSet_Helper::_ptr_type

## ◆ _ptr_type [2/3]

typedef ConstraintSet_ptr ConstraintSet_Helper::_ptr_type

## ◆ _ptr_type [3/3]

typedef ConstraintSet_ptr ConstraintSet_Helper::_ptr_type

## Member Function Documentation

## ◆ _nil() [1/3]

static _ptr_type ConstraintSet_Helper::_nil | ( |  | ) |
| static

## ◆ _nil() [2/3]

static _ptr_type ConstraintSet_Helper::_nil | ( |  | ) |
| static

## ◆ _nil() [3/3]

static _ptr_type ConstraintSet_Helper::_nil | ( |  | ) |
| static

## ◆ duplicate() [1/3]

static void ConstraintSet_Helper::duplicate | ( | _ptr_type |  | ) |
| static

## ◆ duplicate() [2/3]

static void ConstraintSet_Helper::duplicate | ( | _ptr_type |  | ) |
| static

## ◆ duplicate() [3/3]

static void ConstraintSet_Helper::duplicate | ( | _ptr_type |  | ) |
| static

## ◆ is_nil() [1/3]

static _CORBA_Boolean ConstraintSet_Helper::is_nil | ( | _ptr_type |  | ) |
| static

## ◆ is_nil() [2/3]

static _CORBA_Boolean ConstraintSet_Helper::is_nil | ( | _ptr_type |  | ) |
| static

## ◆ is_nil() [3/3]

static _CORBA_Boolean ConstraintSet_Helper::is_nil | ( | _ptr_type |  | ) |
| static

## ◆ marshalObjRef() [1/3]

static void ConstraintSet_Helper::marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| static

## ◆ marshalObjRef() [2/3]

static void ConstraintSet_Helper::marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| static

## ◆ marshalObjRef() [3/3]

static void ConstraintSet_Helper::marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| static

## ◆ release() [1/3]

static void ConstraintSet_Helper::release | ( | _ptr_type |  | ) |
| static

## ◆ release() [2/3]

static void ConstraintSet_Helper::release | ( | _ptr_type |  | ) |
| static

## ◆ release() [3/3]

static void ConstraintSet_Helper::release | ( | _ptr_type |  | ) |
| static

## ◆ unmarshalObjRef() [1/3]

static _ptr_type ConstraintSet_Helper::unmarshalObjRef | ( | cdrStream & |  | ) |
| static

## ◆ unmarshalObjRef() [2/3]

static _ptr_type ConstraintSet_Helper::unmarshalObjRef | ( | cdrStream & |  | ) |
| static

## ◆ unmarshalObjRef() [3/3]

static _ptr_type ConstraintSet_Helper::unmarshalObjRef | ( | cdrStream & |  | ) |
| static

The documentation for this class was generated from the following files:

- src/hpp/core_idl/_constraints-idl.hh
- src/hpp/core_idl/_problem-idl.hh
- src/hpp/core_idl/paths-idl.hh